Partial Class Visitors_Careers
    Inherits CharterCMSPage


	Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        MyBase.SetTemplate(4)
        Dim item As NonProductItem

    If Not IsPostBack Then

      'Response.AddCacheItemDependency(CacheKey.OutputCacheDurationKey)
            Dim d As DateTime = CachedControls.getExpireDate()

      If HttpContext.Current.Cache.Item("Template4") Is Nothing Then
        HttpContext.Current.Cache.Insert("Template4", DateTime.Now, Nothing, d, System.TimeSpan.Zero, System.Web.Caching.CacheItemPriority.NotRemovable, Nothing)
      End If

      Response.AddCacheItemDependency("Template4") 'CacheKey.OutputCacheDurationKey)

      If Application(Request.Url.LocalPath) Is Nothing Then
        Application.Add(Request.Url.LocalPath, "Template4")
      End If

      If Request.QueryString(QueryStringName.NonProductItem) Is Nothing Then
        ltrTitle.Text = String.Empty
        ucLocalNavigation.SubItem2 = NonProductItem.Unspecified
        ucCustomContent.ContentKey = String.Empty
      Else
        item = CType(Request.QueryString(QueryStringName.NonProductItem), NonProductItem)

        Select Case item
          Case NonProductItem.Careers
                        ltrTitle.Text = "Charter Your Career"
          Case NonProductItem.CareersWhyCharter
            ltrTitle.Text = "Why Charter"
          Case NonProductItem.CareersBenefits
            ltrTitle.Text = "Benefits"
          Case NonProductItem.CareersTestimonials
            ltrTitle.Text = "Testimonials"
          Case NonProductItem.CareersDiversity
            ltrTitle.Text = "Diversity"
          Case NonProductItem.CareersCharterDiversityCouncil
            ltrTitle.Text = "Charter Diversity Council"
          Case NonProductItem.CareersDiversityNews
            ltrTitle.Text = "Diversity News"
          Case NonProductItem.CareersDiversitySuppliersPartners
            ltrTitle.Text = "Diversity Suppliers/Partners"
          Case NonProductItem.CareersEEOFCCReports
            ltrTitle.Text = "EEO/FCC Reports"
          Case NonProductItem.CareersCommunityNews
            ltrTitle.Text = "Community News"
          Case NonProductItem.CareersCalendar
            ltrTitle.Text = "Calendar"
          Case NonProductItem.CareersJobSearch
            ltrTitle.Text = "Job Search"
          Case NonProductItem.CareersJobAlerts
            ltrTitle.Text = "Job Alerts"
        End Select

        ucLocalNavigation.SubItem2 = item

        If Request.QueryString(QueryStringName.Section) Is Nothing Then
          ucCustomContent.ContentKey = item.ToString()
        Else
          ucCustomContent.ContentKey = String.Format("{0}:{1}", item.ToString(), Request.QueryString(QueryStringName.Section))
        End If
      End If
    End If
	End Sub
End Class
